<template>
  <el-main>
    <el-row>
      <el-col :span="12">
        <label>input1</label>
      </el-col>
      <el-col :span="12">
        <label>input2</label>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-input type="textarea" placeholder="AAA
BBB" :rows="10" v-model="input1"></el-input>
      </el-col>
      <el-col :span="12">
        <el-input type="textarea" placeholder="111
222" :rows="10" v-model="input2"></el-input>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="2" :offset="11">
        <el-button @click="convert" type="primary" round>実行！</el-button>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12">
        <label>output</label>
      </el-col>
      <el-col :span="24">
        <el-input type="textarea" placeholder="AAA	111
BBB	222" :rows="10" v-model="output"></el-input>
      </el-col>
    </el-row>
  </el-main>
</template>

<script>
import _ from 'lodash'

export default {
  data() {
    return {
      input1: "",
      input2: "",
      output: "",
    }
  },
  methods: {
    convert() {
      const input1 = this.input1.split("\n")
      const input2 = this.input2.split("\n")

      const zipped = _.zip(input1, input2)
      this.output = _.map(zipped, (input) => (input[0] || "") + "\t" + (input[1] || "")).join("\n")
    }
  }
}
</script>

